OGRE-Next: Ogre::ScriptCompilerEvent Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ScriptCompilerEvent Class Reference
Core » General

This struct is a base class for events which can be thrown by the compilers and caught by subscribers. More...

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ScriptCompilerEvent:
[legend]

## Public Member Functions
| ScriptCompilerEvent (const String &type)
virtual | ~ScriptCompilerEvent ()

## Public Attributes
String | mType

## Detailed Description

This struct is a base class for events which can be thrown by the compilers and caught by subscribers.

There are a set number of standard events which are used by Ogre's core. New event types may be derived for more custom compiler processing.

## Constructor & Destructor Documentation

## ◆ ScriptCompilerEvent()

Ogre::ScriptCompilerEvent::ScriptCompilerEvent | ( | const String & | type | ) |
| inline

References mType.

Referenced by Ogre::CreateCompositorScriptCompilerEvent::CreateCompositorScriptCompilerEvent(), Ogre::CreateGpuProgramScriptCompilerEvent::CreateGpuProgramScriptCompilerEvent(), Ogre::CreateGpuSharedParametersScriptCompilerEvent::CreateGpuSharedParametersScriptCompilerEvent(), Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::CreateHighLevelGpuProgramScriptCompilerEvent(), Ogre::CreateMaterialScriptCompilerEvent::CreateMaterialScriptCompilerEvent(), Ogre::CreateParticleSystemScriptCompilerEvent::CreateParticleSystemScriptCompilerEvent(), Ogre::PreApplyTextureAliasesScriptCompilerEvent::PreApplyTextureAliasesScriptCompilerEvent(), Ogre::ProcessNameExclusionScriptCompilerEvent::ProcessNameExclusionScriptCompilerEvent(), and Ogre::ProcessResourceNameScriptCompilerEvent::ProcessResourceNameScriptCompilerEvent().

## ◆ ~ScriptCompilerEvent()

virtual Ogre::ScriptCompilerEvent::~ScriptCompilerEvent | ( |  | ) |
| inlinevirtual

## Member Data Documentation

## ◆ mType

String Ogre::ScriptCompilerEvent::mType

Referenced by ScriptCompilerEvent().

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h